org.apache.poi.ss.usermodel

## Enum FontFamily

- java.lang.Object
- - java.lang.Enum<FontFamily>
  - - org.apache.poi.ss.usermodel.FontFamily

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FontFamily>

      public enum FontFamily
      extends java.lang.Enum<FontFamily>

  The font family this font belongs to. A font family is a set of fonts having common stroke width and serif characteristics. The font name overrides when there are conflicting values.
  Author:
    Gisella Bronzetti

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DECORATIVE`
    `MODERN`
    `NOT_APPLICABLE`
    `ROMAN`
    `SCRIPT`
    `SWISS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()` Returns index of this font family
    `static FontFamily` | `valueOf(int family)`
    `static FontFamily` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FontFamily[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_APPLICABLE

          public static final FontFamily NOT_APPLICABLE

    - #### ROMAN

          public static final FontFamily ROMAN

    - #### SWISS

          public static final FontFamily SWISS

    - #### MODERN

          public static final FontFamily MODERN

    - #### SCRIPT

          public static final FontFamily SCRIPT

    - #### DECORATIVE

          public static final FontFamily DECORATIVE

  - ### Method Detail

    - #### values

          public static FontFamily[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FontFamily c : FontFamily.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FontFamily valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Returns index of this font family
      Returns:
        index of this font family

    - #### valueOf

          public static FontFamily valueOf(int family)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.